Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1884580 - Normal user can't create job from exist cronjob
Summary: Normal user can't create job from exist cronjob
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: kube-controller-manager
Version: 4.5
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.5.z
Assignee: Maciej Szulik
QA Contact: RamaKasturi
URL:
Whiteboard:
Depends On: 1835066
Blocks: 1884569
TreeView+ depends on / blocked
 
Reported: 2020-10-02 11:25 UTC by Maciej Szulik
Modified: 2020-11-05 12:47 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of: 1835066
Environment:
Last Closed: 2020-11-05 12:46:58 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift kubernetes-kubectl pull 35 0 None closed Bug 1884580: UPSTREAM 91053: Set appropriate owner references when creating a job … 2021-01-14 10:19:54 UTC
Github openshift oc pull 602 0 None closed [release-4.5] Bug 1884580: Set appropriate owner references when creating a job from cronjob 2021-01-14 10:19:55 UTC
Red Hat Product Errata RHBA-2020:4325 0 None None None 2020-11-05 12:47:26 UTC

Comment 2 RamaKasturi 2020-10-23 07:13:35 UTC
Verified with the payload below and i see that normal user could create cronjob and job.

[knarra@knarra openshift-client-linux-4.5.0-0.nightly-2020-10-23-025638]$ ./oc version -o yaml
clientVersion:
  buildDate: "2020-10-22T08:26:12Z"
  compiler: gc
  gitCommit: 6082e941e6d62f3a0c6ca8ba52927100948b1d0d
  gitTreeState: clean
  gitVersion: openshift-clients-4.5.0-202006231303.p0-18-g6082e941e
  goVersion: go1.13.4
  major: ""
  minor: ""
  platform: linux/amd64
releaseClientVersion: 4.5.0-0.nightly-2020-10-23-025638
serverVersion:
  buildDate: "2020-10-22T05:11:10Z"
  compiler: gc
  gitCommit: 70b8a93
  gitTreeState: clean
  gitVersion: v1.18.3+70b8a93
  goVersion: go1.13.4
  major: "1"
  minor: 18+
  platform: linux/amd64

[knarra@knarra openshift-client-linux-4.5.0-0.nightly-2020-10-23-025638]$ ./oc new-project test
Now using project "test" on server "https://api.knarra1023.qe.devcluster.openshift.com:6443".

You can add applications to this project with the 'new-app' command. For example, try:

    oc new-app ruby~https://github.com/sclorg/ruby-ex.git

to build a new example application in Ruby. Or use kubectl to deploy a simple Kubernetes application:

    kubectl create deployment hello-node --image=gcr.io/hello-minikube-zero-install/hello-node

[knarra@knarra openshift-client-linux-4.5.0-0.nightly-2020-10-23-025638]$ ./oc create cronjob my-job --image=openshift/hello-openshift --schedule=\*\ 5\ \*\ \*\ \?
cronjob.batch/my-job created
[knarra@knarra openshift-client-linux-4.5.0-0.nightly-2020-10-23-025638]$ ./oc create job hello-job --from=cronjob/my-job
job.batch/hello-job created
[knarra@knarra openshift-client-linux-4.5.0-0.nightly-2020-10-23-025638]$ ./oc get cronjob
NAME     SCHEDULE    SUSPEND   ACTIVE   LAST SCHEDULE   AGE
my-job   * 5 * * ?   False     0        <none>          27s
[knarra@knarra openshift-client-linux-4.5.0-0.nightly-2020-10-23-025638]$ ./oc get job
NAME        COMPLETIONS   DURATION   AGE
hello-job   0/1           16s        16s

Based on the above moving bug to verified state.

Comment 5 errata-xmlrpc 2020-11-05 12:46:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.5.17 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4325


Note You need to log in before you can comment on or make changes to this bug.